base-4.18.1.0: Basic libraries

Safe Haskell | Trustworthy
Language | Haskell2010

GHC.Clock

Synopsis

- getMonotonicTime :: IO Double
- getMonotonicTimeNSec :: IO Word64

# Documentation

getMonotonicTime :: IO Double Source #

Return monotonic time in seconds, since some unspecified starting point

Since: base-4.11.0.0

getMonotonicTimeNSec :: IO Word64 Source #

Return monotonic time in nanoseconds, since some unspecified starting point

Since: base-4.11.0.0